Function
setStepSize
Change the q-gram step size used for index creation.
setStepSize(index, stepSize)
Include Headers
seqan/index.h
Parameters

index | A q-gram index. Types: IndexQGram
stepSize | Store every stepSize'th q-gram in the index.

Remarks
The default step size of a q-gram index is 1, which corresponds to all overlapping q-grams. To take effect of changing the stepSize the q-gram index should be empty or recreated.
A stepSize of 0 corresponds to stepSize=length(indexShape(index)), i.e. all non-overlapping q-grams.
See Also
getStepSize
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49